Core - Task # 56109

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Status: Resolved Priority: Should have
Author: Michiel Roos Category:

Created: 2014-02-19 Assigned To:

Updated: 2014-02-21 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: medium

Sprint Focus:

Subiject: Cleanup \TYPO3\CMS\Lang\LanguageService

Description

The calls to sL() are reportedly not allways returned from \TYPO3\CMS\Lang\LanguageService::$LL_labels_cache

Amongst other things:

- See if we can also cache the HSC values on sL() calls in the \TYPO3\CMS\Lang\LanguageService::$LL_labels_cache
- loadSingleTableDescription calls methods inside nested foreach loops. Each of the methods test unchanging values for being an

array etc. over and over.

- Replace count() calls with lempty() if we are dealing with objects known to be an array

Associated revisions

Revision 16¢5¢810 - 2014-02-21 20:29 - Michiel Roos

[TASK] Cleanup \TYPO3\CMS\Lang\LanguageService

- Cache hsc values of calls to sL()
- Code cleanup
- Use lempty() instead of count() for objects known to be an array

Change-Id: 1e015f9755b98c41df185865325ea15ce42179e23
Resolves: #56109
Releases: 6.2

Reviewed-on: https://review.typo3.org/27745

Reviewed-by: Steffen Ritter
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Oliver Klee
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-02-19 11:09 - Ingo Schmitt
- Parent task set to #55065

#2 - 2014-02-20 00:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
https://review.typo3.org/27745

It is available at https://review.typo3.org/27745

#3 - 2014-02-20 20:29 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27745

#4 - 2014-02-21 00:48 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27745

#5 - 2014-02-21 20:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:16c5¢c810c4051d1de38283045d62cc86a83c72b7.
